summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-misc/g15composer/files')
-rw-r--r--app-misc/g15composer/files/g15composer-3.2.confd17
-rw-r--r--app-misc/g15composer/files/g15composer-3.2.initd49
2 files changed, 66 insertions, 0 deletions
diff --git a/app-misc/g15composer/files/g15composer-3.2.confd b/app-misc/g15composer/files/g15composer-3.2.confd
new file mode 100644
index 000000000000..f42ab956e242
--- /dev/null
+++ b/app-misc/g15composer/files/g15composer-3.2.confd
@@ -0,0 +1,17 @@
+# /etc/conf.d/g15composer: Configuration for the g15composer
+
+# The CONTROL_FIFO is the name of the FIFO that g15composer listens to.
+# It does not create a screen on the display, but allows programs to
+# create their own non-virtual screens.
+# Please make sure the file specified does not exist.
+CONTROL_FIFO="/var/run/g15composer"
+
+# Set the user who owns the CONTROL_FIFO.
+# As this is also the user as whom g15composer is run,
+# it has to be someone who can create further message channels
+# This should be the user who runs the LCD clients
+FIFO_USER=
+
+# Set the grop which owns the CONTROL_FIFO.
+# The users who want to display screens on the LCD need to be in this group.
+FIFO_GROUP=users
diff --git a/app-misc/g15composer/files/g15composer-3.2.initd b/app-misc/g15composer/files/g15composer-3.2.initd
new file mode 100644
index 000000000000..15dd6c6765fc
--- /dev/null
+++ b/app-misc/g15composer/files/g15composer-3.2.initd
@@ -0,0 +1,49 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/g15composer/files/g15composer-3.2.initd,v 1.1 2008/02/21 17:14:14 chainsaw Exp $
+
+PIDFILE=/var/run/${SVCNAME}.pid
+
+depend() {
+ need g15daemon
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+
+ if [ -z "${FIFO_USER}" -o -z "${FIFO_GROUP}" ] ; then
+ eerror "Please set the FIFO_USER and FIFO_GROUP variables in /etc/conf.d/${SVCNAME}"
+ eend 1
+ return 1
+ fi
+ if [ -e "${CONTROL_FIFO}" -a ! -p "${CONTROL_FIFO}" ] ; then
+ eerror "${CONTROL_FIFO} exists and is not a FIFO. Please remove."
+ eend 1
+ return 1
+ fi
+ if [ ! -p "${CONTROL_FIFO}" ] ; then
+ einfo "Creating FIFO at ${CONTROL_FIFO}"
+ mkfifo -m660 "${CONTROL_FIFO}"
+ else
+ einfo "Reusing FIFO at ${CONTROL_FIFO}"
+ fi
+
+ chown ${FIFO_USER} "${CONTROL_FIFO}"
+ chgrp ${FIFO_GROUP} "${CONTROL_FIFO}"
+ start-stop-daemon --start --background --pidfile ${PIDFILE} --make-pidfile --exec \
+ /usr/bin/g15composer -- -b -u "${FIFO_USER}" -g "${FIFO_GROUP}" "${CONTROL_FIFO}"
+ eend $?
+}
+
+stop() {
+ ebegin "Stoping ${SVCNAME}"
+ start-stop-daemon --stop --pidfile ${PIDFILE} --name g15composer
+ if [ -p "${CONTROL_FIFO}" ] ; then
+ einfo "Removing FIFO at ${CONTROL_FIFO}"
+ rm -f "${CONTROL_FIFO}"
+ else
+ ewarn "FIFO at ${CONTROL_FIFO} was lost"
+ fi
+ eend $?
+}